# Exam Reg Processes Exam Reg Processes ## Gets all of the exam reg processes in the system. - [GET /examRegProcesses/{tenantId}](https://docs.api.rhythmsoftware.com/apis/certifications/certifications-v1/exam-reg-processes/listexamregprocesses.md): This method will scan all exam reg processes and and return them to the caller. ## Creates a new exam reg process record that does not already exist. - [POST /examRegProcesses/{tenantId}](https://docs.api.rhythmsoftware.com/apis/certifications/certifications-v1/exam-reg-processes/createexamregprocess.md): This method will auto-generate an ID and create a new exam reg process. If an ID is specified for the exam reg process, an error will be thrown. ## Execute Batch Operations - [POST /examRegProcesses/{tenantId}/batch](https://docs.api.rhythmsoftware.com/apis/certifications/certifications-v1/exam-reg-processes/executebatchoperations.md): TAllows you to perform up to 100 parallel patch/delete operations ## Gets all of the processes a contact is eligible to use - [GET /examRegProcesses/{tenantId}/eligible/{contactId}/{examId}](https://docs.api.rhythmsoftware.com/apis/certifications/certifications-v1/exam-reg-processes/geteligibleprocesses.md) ## Returns a exam reg process from the system by its ID. - [DELETE /examRegProcesses/{tenantId}/{id}](https://docs.api.rhythmsoftware.com/apis/certifications/certifications-v1/exam-reg-processes/deleteexamregprocess.md): This method will delete a exam reg process with the specified ID. ## Returns a exam reg process from the system by its ID. - [GET /examRegProcesses/{tenantId}/{id}](https://docs.api.rhythmsoftware.com/apis/certifications/certifications-v1/exam-reg-processes/getexamregprocess.md): This method will look up a exam reg process by the specified ID and return it back. ## Partially updates a exam reg process with the specified ID. - [PATCH /examRegProcesses/{tenantId}/{id}](https://docs.api.rhythmsoftware.com/apis/certifications/certifications-v1/exam-reg-processes/patchexamregprocess.md): This method will patch an existing exam reg process with the specified ID, using the HTTP PATCH specification. ## Updates a exam reg process with the specified ID. - [PUT /examRegProcesses/{tenantId}/{id}](https://docs.api.rhythmsoftware.com/apis/certifications/certifications-v1/exam-reg-processes/updateexamregprocess.md): This method will update an existing exam reg process with the specified ID.